ssclient

## Class SiGMLUndoController

- java.lang.Object
- - ssclient.SiGMLUndoController

-     public class SiGMLUndoController
      extends java.lang.Object

  Undo/redo support for SiGML text editing.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLUndoController(javax.swing.JTextArea tsigml)` Constructs a new SiGML undo controller for the given SiGML text area.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginSupportForNewSiGML()` Set up a new edit/undo data for a new SiGML text.
    `void` | `endSupportForOldSiGML()` Discards edit/undo data for the old SiGML text prior to its being discarded.
    `void` | `setCleanSiGMLText()` Marks the current status of the present SiGML text as clean, achieved by discarding its undoable edit list and creating a new empty edit list for it.
    `boolean` | `sigmlTextIsDirty()` Tests whether the current SiGML text is dirty, that is, whether it has been edited since it was last saved to or read from its underlying file.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiGMLUndoController

          public SiGMLUndoController(javax.swing.JTextArea tsigml)

      Constructs a new SiGML undo controller for the given SiGML text area.

  - ### Method Detail

    - #### sigmlTextIsDirty

          public boolean sigmlTextIsDirty()

      Tests whether the current SiGML text is dirty, that is, whether it has been edited since it was last saved to or read from its underlying file.

    - #### setCleanSiGMLText

          public void setCleanSiGMLText()

      Marks the current status of the present SiGML text as clean, achieved by discarding its undoable edit list and creating a new empty edit list for it.

    - #### endSupportForOldSiGML

          public void endSupportForOldSiGML()

      Discards edit/undo data for the old SiGML text prior to its being discarded.

    - #### beginSupportForNewSiGML

          public void beginSupportForNewSiGML()

      Set up a new edit/undo data for a new SiGML text.